WordPress.org

Ready to get started?Download WordPress

Forums

[Plugin: Admin Management Xtended] AMX no longer working since 2.6 upgrade (15 posts)

  1. crazytaxi
    Member
    Posted 6 years ago #

    since upgrading to 2.6, my site is working fine across the board... except for AMX. Every time I load the "manage" page in IE, the status bar shows "done, with errors on page." Clicking on the Category manipulation icon, I can change the categories, and then the present category disappears, but is NOT replaced by the new one(s), and no changes are saved. clicking on any of the other tool icons for AMX produces no result whatsoever. the date-published icon produces a calendar that cannot be updated, and the others (toggle, etc) are just completely dead.

    For whatever it's worth, the site I'm using this plugin for is still under development on a local host installation, so I'm absolutely certain that no other environment variables have been altered. I've also tried deleting the plug-in entirely, re-downloading and re-installing, with the same result.

  2. Alphawolf
    Member
    Posted 6 years ago #

    Hey crazytaxi,

    the plugin is compatible with 2.6. I do have it installed on all of my sites that run on 2.6, and I know several others who successfully use the plugin with 2.6.

    So, things that'd come to my mind:

    1. Do you have Google Gears activated?
    2. Have you tried deactivating all plugins except for AMX? Could be a incompatibility issue.
    3. Do you have Firefox with Firebug installed? That would tell a lot more about the actual error than IE does.
    4. Would you please provide a demo login, so I can have a look at it myself? Please email to scripts [at] schloebe [dot] de
  3. crazytaxi
    Member
    Posted 6 years ago #

    thank you for responding. I'm extremely frustrated, as the complexity of the site I'm absolutely DEMANDS such a plugin for inline management.

    1. never heard of Google Gears. don't know what it is.
    2. I actually completely deactivated and uninstalled EVERY plugin, then tried AMX alone. same result. I downloaded the zip package 3 separate times... same result.
    3. I don't typically use Firefox but will install this Firebug thing right now and report. Here is the detail error message from IE:
    Line: 363
    Char: 26
    Error: Expected ']'
    Code: 0
    URL: http://localhost/wordpress/wp-admin/edit.php
    4. I'm not sure how to provide a demo login, because the site is on my local machine, being developed on a xampp installation. Please don't tell me that's the problem, because nothing changed in my installation AT ALL other than the 2.6 WP upgrade, and everything was working before, including AMX.

    I will post some screen shots if that will help. I will install Firebug now and report back with whatever input I can get from that.

  4. crazytaxi
    Member
    Posted 6 years ago #

    Alphawolf
    following up from earlier. I ran the latest version of Firefox, and behold, AMX works a charm... just like it used to in IE. I went ahead and installed the Firebug addon, though it's a bit foreign to me. Then it occured to me that you've probably already inspected the site with Firebug, so I don't know what it would tell me that it doesn't tell you.

    AMX is still not working in IE. None of the functions are enabled, and mousing over the "dead" post management icons gets "javascript: void(0);" in the status bar.

    So I should turn the question around and ask if you've successfully tested with WP 2.6 running on IE 7 ?

    I can continue to develop my site by using Firefox when I'm in admin, and I know how much developers love FF, but IE is still the dominant browser, so I'd love to see your plugin working there.

    Before I go to bed, let me add that in 6 months or so of working with WordPress, your plugin is far away the most useful I've installed. So I'm a big fan of your work. Don't think of me as a complainer; think of me as a free test user.

  5. Alphawolf
    Member
    Posted 6 years ago #

    Hey crazytaxi,

    thanks a lot for your detailled issue description. Of course I tested it on all latest major browsers. It works in my IE7 (Vista), as well as on other users' IEs that I know of.

    But I guess even the most detailled error description wont help me without seeing the error "live". So, I suggest we'll continue this in IM. Do you have ICQ, MSN etc? Please send me your ID to scripts [at] schloebe [dot] de

    Thanks for your patience and efforts. :)

  6. Alphawolf
    Member
    Posted 6 years ago #

    Any news? :)

  7. atdblog
    Member
    Posted 6 years ago #

    Not sure which plugin you guys are talking about, but I get the IE status bar "done with errors on the page" on every single admin page. It says the error is on line 8 char 1, object expected but that sounds near the beginning so I'm guessing it's one of those syntax errors further down the page. Doesn't seem to hurt anything but it's annoying.

  8. mecky
    Member
    Posted 5 years ago #

    wordpress 2.6.1

    hi alphawolf,
    similar problem here although using firefox. the only working link to edit inline is the edit button for categories. all actions and the tag edit link return javascript:void(0).

    -no google gears
    -i deactivated all plugins except amx
    -firebug is installed but i am not quite sure what info to provide you with
    -how could i give you a demo login. what rights would you need?

    could you help?

  9. Alphawolf
    Member
    Posted 5 years ago #

    Hey mecky,

    using WP MU 2.6.1? A login would be very very nice, preferably admin account, so I can see the source code. Please to scripts at schloebe dot de

    Thanks. :)

  10. wRAR
    Member
    Posted 5 years ago #

    Access to restricted URI denied" code: "1012
    createAJAX()()
    sack("http://blog.wrar.name/wp-admin/admin-ajax.php")
    ame_ajax_set_commentstatus(30, 1, "page")
    onclick(click clientX=903, clientY=348)
    this.xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");

    This error appears whtn I try to change comment status, and similar one when I try to reorder pages.
    Wordpress 2.6.3, AME 1.9.

  11. Alphawolf
    Member
    Posted 5 years ago #

    wRAR, thats weird. I'm not doing cross-site ajaxing, but simply using the wp-sack library released with every WP package.

    Are you using https secure links?

  12. wRAR
    Member
    Posted 5 years ago #

    Yes, I do.

  13. Alphawolf
    Member
    Posted 5 years ago #

    wRAR, try using this: http://wordpress.org/extend/plugins/https-for-wordpress/ and report back please. :)

    Another user having the same problem solved the issue with that handy plugin.

  14. wRAR
    Member
    Posted 5 years ago #

    Yes, it helps.

  15. Alphawolf
    Member
    Posted 5 years ago #

    Great. ;-)

Topic Closed

This topic has been closed to new replies.

About this Topic